import { type Base, genBase } from "./_base"

export interface Specialist extends Base {
  code: string
  name: string
  unit_id?: number | string | null
}

export function genSpecialist(): Specialist {
  return {
    ...genBase(),
    code: '',
    name: '',
    unit_id: 0
  }
}
